## GAS DMS Get Firmware List request GAS DMS Get Firmware List request |

## Functions

QmiMessageGasDmsGetFirmwareListInput * | qmi_message_gas_dms_get_firmware_list_input_new ()
QmiMessageGasDmsGetFirmwareListInput * | qmi_message_gas_dms_get_firmware_list_input_ref ()
void | qmi_message_gas_dms_get_firmware_list_input_unref ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_get_version ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_set_version ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_get_name ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_set_name ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_get_slot_index ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_set_slot_index ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_get_mode ()
gboolean | qmi_message_gas_dms_get_firmware_list_input_set_mode ()
QmiMessageGasDmsGetFirmwareListOutput * | qmi_message_gas_dms_get_firmware_list_output_ref ()
void | qmi_message_gas_dms_get_firmware_list_output_unref ()
gboolean | qmi_message_gas_dms_get_firmware_list_output_get_result ()
gboolean | qmi_message_gas_dms_get_firmware_list_output_get_mode ()
gboolean | qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_1 ()
gboolean | qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_2 ()
gboolean | qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_3 ()
gboolean | qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_4 ()
void | qmi_client_gas_dms_get_firmware_list ()
QmiMessageGasDmsGetFirmwareListOutput * | qmi_client_gas_dms_get_firmware_list_finish ()

## Types and Values

| QmiMessageGasDmsGetFirmwareListInput
| QmiMessageGasDmsGetFirmwareListOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageGasDmsGetFirmwareListInput
        ╰── QmiMessageGasDmsGetFirmwareListOutput

## Description

## Functions

### qmi_message_gas_dms_get_firmware_list_input_new ()

    QmiMessageGasDmsGetFirmwareListInput *
    qmi_message_gas_dms_get_firmware_list_input_new
                                   (void);

Allocates a new QmiMessageGasDmsGetFirmwareListInput.

#### Returns

the newly created QmiMessageGasDmsGetFirmwareListInput. The returned value should be freed with `qmi_message_gas_dms_get_firmware_list_input_unref()`.

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_ref ()

    QmiMessageGasDmsGetFirmwareListInput *
    qmi_message_gas_dms_get_firmware_list_input_ref
                                   (QmiMessageGasDmsGetFirmwareListInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_unref ()

    void
    qmi_message_gas_dms_get_firmware_list_input_unref
                                   (QmiMessageGasDmsGetFirmwareListInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_get_version ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_get_version
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    const gchar **value_version,
                                    GError **error);

Get the 'Version' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_set_version ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_set_version
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    const gchar *value_version,
                                    GError **error);

Set the 'Version' field in the message.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_version | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_get_name ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_get_name
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    const gchar **value_name,
                                    GError **error);

Get the 'Name' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_set_name ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_set_name
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    const gchar *value_name,
                                    GError **error);

Set the 'Name' field in the message.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_name | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_get_slot_index ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_get_slot_index
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    guint8 *value_slot_index,
                                    GError **error);

Get the 'Slot Index' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_slot_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_set_slot_index ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_set_slot_index
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    guint8 value_slot_index,
                                    GError **error);

Set the 'Slot Index' field in the message.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_slot_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_get_mode ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_get_mode
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    QmiGasFirmwareListingMode *value_mode,
                                    GError **error);

Get the 'Mode' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_mode | a placeholder for the output QmiGasFirmwareListingMode, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_input_set_mode ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_input_set_mode
                                   (QmiMessageGasDmsGetFirmwareListInput *self,
                                    QmiGasFirmwareListingMode value_mode,
                                    GError **error);

Set the 'Mode' field in the message.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListInput. |
value_mode | a QmiGasFirmwareListingMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_ref ()

    QmiMessageGasDmsGetFirmwareListOutput *
    qmi_message_gas_dms_get_firmware_list_output_ref
                                   (QmiMessageGasDmsGetFirmwareListOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_unref ()

    void
    qmi_message_gas_dms_get_firmware_list_output_unref
                                   (QmiMessageGasDmsGetFirmwareListOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_get_result ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_output_get_result
                                   (QmiMessageGasDmsGetFirmwareListOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_get_mode ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_output_get_mode
                                   (QmiMessageGasDmsGetFirmwareListOutput *self,
                                    QmiGasFirmwareListingMode *value_mode,
                                    GError **error);

Get the 'Mode' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |
value_mode | a placeholder for the output QmiGasFirmwareListingMode, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_1 ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_1
                                   (QmiMessageGasDmsGetFirmwareListOutput *self,
                                    guint8 *value_stored_firmware_1_index,
                                    const gchar **value_stored_firmware_1_name,
                                    const gchar **value_stored_firmware_1_version,
                                    const gchar **value_stored_firmware_1_pri_revision,
                                    GError **error);

Get the 'Stored Firmware 1' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |
value_stored_firmware_1_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_stored_firmware_1_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_1_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_1_pri_revision | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_2 ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_2
                                   (QmiMessageGasDmsGetFirmwareListOutput *self,
                                    guint8 *value_stored_firmware_2_index,
                                    const gchar **value_stored_firmware_2_name,
                                    const gchar **value_stored_firmware_2_version,
                                    const gchar **value_stored_firmware_2_pri_revision,
                                    GError **error);

Get the 'Stored Firmware 2' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |
value_stored_firmware_2_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_stored_firmware_2_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_2_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_2_pri_revision | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_3 ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_3
                                   (QmiMessageGasDmsGetFirmwareListOutput *self,
                                    guint8 *value_stored_firmware_3_index,
                                    const gchar **value_stored_firmware_3_name,
                                    const gchar **value_stored_firmware_3_version,
                                    const gchar **value_stored_firmware_3_pri_revision,
                                    GError **error);

Get the 'Stored Firmware 3' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |
value_stored_firmware_3_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_stored_firmware_3_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_3_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_3_pri_revision | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_4 ()

    gboolean
    qmi_message_gas_dms_get_firmware_list_output_get_stored_firmware_4
                                   (QmiMessageGasDmsGetFirmwareListOutput *self,
                                    guint8 *value_stored_firmware_4_index,
                                    const gchar **value_stored_firmware_4_name,
                                    const gchar **value_stored_firmware_4_version,
                                    const gchar **value_stored_firmware_4_pri_revision,
                                    GError **error);

Get the 'Stored Firmware 4' field from `self` .

#### Parameters

self | a QmiMessageGasDmsGetFirmwareListOutput. |
value_stored_firmware_4_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_stored_firmware_4_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_4_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_stored_firmware_4_pri_revision | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_client_gas_dms_get_firmware_list ()

    void
    qmi_client_gas_dms_get_firmware_list (QmiClientGas *self,
                                          QmiMessageGasDmsGetFirmwareListInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a DMS Get Firmware List request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_gas_dms_get_firmware_list_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientGas. |
input | a QmiMessageGasDmsGetFirmwareListInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.24

### qmi_client_gas_dms_get_firmware_list_finish ()

    QmiMessageGasDmsGetFirmwareListOutput *
    qmi_client_gas_dms_get_firmware_list_finish
                                   (QmiClientGas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_gas_dms_get_firmware_list()`.

#### Parameters

self | a QmiClientGas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_gas_dms_get_firmware_list()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageGasDmsGetFirmwareListOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_gas_dms_get_firmware_list_output_unref()`.

Since: 1.24

## Types and Values

### QmiMessageGasDmsGetFirmwareListInput

    typedef struct _QmiMessageGasDmsGetFirmwareListInput QmiMessageGasDmsGetFirmwareListInput;

The QmiMessageGasDmsGetFirmwareListInput structure contains private data and should only be accessed using the provided API.

Since: 1.24

### QmiMessageGasDmsGetFirmwareListOutput

    typedef struct _QmiMessageGasDmsGetFirmwareListOutput QmiMessageGasDmsGetFirmwareListOutput;

The QmiMessageGasDmsGetFirmwareListOutput structure contains private data and should only be accessed using the provided API.

Since: 1.24